Package com.ocient.jdbc.proto

## Interface PlanProtocol.SwitchOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.SwitchOperator`, `PlanProtocol.SwitchOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.SwitchOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`PlanProtocol.CNF` `getFilters​(int index)` the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`int` `getFiltersCount()` the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`List<PlanProtocol.CNF>` `getFiltersList()` the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.CNFOrBuilder` `getFiltersOrBuilder​(int index)` the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`List<? extends PlanProtocol.CNFOrBuilder>` `getFiltersOrBuilderList()` the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getFiltersList

    List<PlanProtocol.CNF> getFiltersList()

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

#### getFilters

    PlanProtocol.CNF getFilters​(int index)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

#### getFiltersCount

    int getFiltersCount()

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

#### getFiltersOrBuilderList

    List<? extends PlanProtocol.CNFOrBuilder> getFiltersOrBuilderList()

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

#### getFiltersOrBuilder

    PlanProtocol.CNFOrBuilder getFiltersOrBuilder​(int index)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`